### Method

# ECal ComponentBagItem read_times

since: 3.58

#### Declaration [src]

    gboolean
    e_cal_component_bag_item_read_times (
      ECalComponentBagItem* self,
      guint min_duration_minutes,
      ICalTimezone* timezone
    )

#### Description [src]

Reads the start time and the duration from the set component, returning whether any of it changed.

The `min_duration_minutes` is used to define the minimum duration, in minutes, the item should have set. Any smaller duration is increased to it.

Available since: 3.58

#### Parameters

`min_duration_minutes`

  Type: `guint`

  Minimum duration, in minutes.

`timezone`

  Type: `None`

  An `ICalTimezone` to calculate the start time for, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` when any of the stored times changed, `FALSE` if not.